<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="paymentApplications"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPaymentApplication"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['payment-application-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.paymentApplication.amountApplied'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.amountApplied | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.amountApplied"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.paymentApplication.payment'|translate}}" *ngIf="idPayment === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paymentId">
                    <a [routerLink]="['../payment', rowData.paymentId  ]" >{{rowData.paymentPaymentNumber}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.paymentApplication.billing'|translate}}" *ngIf="idBilling === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.billingId">
                    <a [routerLink]="['../billing', rowData.billingId  ]" >{{rowData.billingBillingNumber}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'payment-application/'+ rowData.idPaymentApplication + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="button"
                        (click)="delete(rowData.idPaymentApplication)"
                        icon="fa-remove"
                        class="flat-button">
                    </button>
                </ng-template>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
